var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h.html#a1547a676c9d1f206e0ed614d42d74c2d",
"IdStringType_8h.html#a6e39d67141f5e282321ca13596e7b6a5",
"MediaCD_8cc.html#a6db00f35b9d906468d2488bb95d68a03",
"Package_8cc.html#ad9a31196e3d40982e81add471049c637",
"PoolQueryResult_8cc.html",
"RepoManager_8cc.html#afa372a064cf78fabeb86f4bd35668618",
"SUSEMediaVerifier_8cc.html",
"String_8h.html#a1735725ceabf62c777bfd5db5ad953e3",
"UrlBase_8cc.html#a4592a05961855b4b3ade3a20e9c8667f",
"classzypp_1_1Arch.html#a328c883274f3296ae1a770a992fe12b2",
"classzypp_1_1Capability.html#a5f5ccd373d5f93f6de6ec1e3dccded51",
"classzypp_1_1Date.html#a294c893a6cc68d6a36804e10442accf2",
"classzypp_1_1ExternalProgram.html#aa129e22e8025a60ac51334a1d6603557",
"classzypp_1_1IdString.html#a93af5e96157d839ecf54080470ff717d",
"classzypp_1_1Match.html#a60bae4e39ca31538935386efedaec428a331621f3fc730d1b73dd04e1b2a688d1",
"classzypp_1_1Pattern.html#ab32fc0e89dceb978669503e021e272e7",
"classzypp_1_1PoolQuery.html#ad8d46d6ae72d310136d562d5d6d6dd12a9a1957d0f1f99889fa4a9bfa3c580efb",
"classzypp_1_1PublicKeyData.html#ac82e1ea9cfdfa8ab13f02cbeca0a8a24",
"classzypp_1_1Repository.html#a88e055a744881fd5b50a966e3aa357a0",
"classzypp_1_1ResStatus.html#a469d01952c695243e9b88d1a3f6910f8",
"classzypp_1_1ServiceInfo.html#a229945a05c3530f34d35e6c24d5cf807",
"classzypp_1_1UserRequestException.html",
"classzypp_1_1ZYppCommitResult.html#a5cdf8961e896b149d286637dff00748a",
"classzypp_1_1bit_1_1BitField.html#a049db0cbf68df5c4c0968c778d12f7fd",
"classzypp_1_1filesystem_1_1PathInfo.html#a3d3cab917af2d492d519e585050a0f52",
"classzypp_1_1iostr_1_1EachLine.html#afe052309e7a30f69415667c174ded58f",
"classzypp_1_1media_1_1MediaCurl.html#a4266929907fafcdb2e9dbe9bf73ad540",
"classzypp_1_1media_1_1MediaMultiCurl.html#a34a60d9af24da07d1b8c299631e16ee6",
"classzypp_1_1media_1_1TransferSettings.html#ab47bff3574fdc55bd83209201675769f",
"classzypp_1_1parser_1_1ProductFileReader.html",
"classzypp_1_1repo_1_1RepoInfoBase.html",
"classzypp_1_1sat_1_1LookupAttr.html#aebd383f101b21a389bfae78161c170cf",
"classzypp_1_1sat_1_1SolvAttr.html#a3b4269aee014b7a398f8603cc7d9c5c5",
"classzypp_1_1sat_1_1Transaction.html#a889681294409be5b247647b1ef00c0ce",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemInstall.html#aac1baf7d055cfc9cde36ab281f8a6bde",
"classzypp_1_1target_1_1RpmPostTransCollector.html#a7d08e37d21b58207c2c03d9bf130cb25",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a07ce362526e81b884b3b2c18d638a3bd",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1DbDirInfo.html#aae2850212e94ad65c651707e2a99fcfe",
"classzypp_1_1url_1_1UrlBase.html#aed637219d46417baa72139964d01004f",
"dir_094f7e4ec9d99036993275f264ce5f48.html",
"group__POOLFILTER.html#ga5eea671447a69d850a194bf3aa18b333",
"namespacemembers_v.html",
"structzypp_1_1CleanEmptyLocksReport.html#a9e518c9b844e0d5f842614179c9ee71c",
"structzypp_1_1HistoryActionID.html#a88d13d8ce761da89f7db7f6575dd7c41a795be6d53b5e39631371283850323761",
"structzypp_1_1PoolQueryAttr.html#aaeeab3c6e5a5720d8c656110e3dff45b",
"structzypp_1_1RepoManager_1_1Impl.html#a01c25a86efa052e846e7f98258da2e1f",
"structzypp_1_1base_1_1ContainerTransform.html#a7b785087666c8c7220c2fb1e6c9f1d57",
"structzypp_1_1functor_1_1GetAll.html#ae5050b2d25d2aa0a79177a36bd963aaa",
"structzypp_1_1media_1_1stateswitch.html",
"structzypp_1_1repo_1_1yum_1_1ResourceType.html#aea478903b970a8ad768ef56f75217f45",
"structzypp_1_1solver_1_1detail_1_1SATCollectTransact.html#af5de804afef583a0048c0b36405c5d27",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#ab98e8f3668665d51d87de1802473a38d",
"zypp-services.html#services-plugin"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';